# $Revision: 1.6 $, $Date: 2005/12/16 21:45:02 $
#
%define		realname graphite
#
Summary:	Graphite GNOME Icons
Summary(pl):	Zestaw ikonek graphite dla GNOME
Name:		gnome-icons-graphite
Version:	2.0
Release:	1
License:	GPL
Group:		X11/Amusements
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	e681f33cd2456378acc14c8fb245fbbf
URL:		http://gnome-look.org/content/show.php?content=26757
BuildRequires:	gtk+2 >= 2:2.8.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The set is an extensive expansion on the default icon theme designed
by Jakub Steiner.

%description -l pl
Zestaw jest obszernym rozszerzeniem standardowego motywu stworzonego
przez Jakuba Streinera.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_iconsdir}/%{realname}

cp -af . $RPM_BUILD_ROOT%{_iconsdir}/%{realname}

# remove gentoo icons
rm -f $RPM_BUILD_ROOT%{_iconsdir}/%{realname}/{24x24,48x48,72x72}/apps/gnome-main-menu.png
rm -f $RPM_BUILD_ROOT%{_iconsdir}/%{realname}/{12x12,20x20,24x24,32x32,36x36,48x48}/emblems/emblem-gentoo.png

gtk-update-icon-cache -ft $RPM_BUILD_ROOT%{_iconsdir}/%{realname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_iconsdir}/%{realname}
%dir %{_iconsdir}/%{realname}/12x12
%dir %{_iconsdir}/%{realname}/16x16
%dir %{_iconsdir}/%{realname}/20x20
%dir %{_iconsdir}/%{realname}/24x24
%dir %{_iconsdir}/%{realname}/32x32
%dir %{_iconsdir}/%{realname}/36x36
%dir %{_iconsdir}/%{realname}/48x48
%dir %{_iconsdir}/%{realname}/72x72
%{_iconsdir}/%{realname}/12x12/apps
%{_iconsdir}/%{realname}/12x12/devices
%{_iconsdir}/%{realname}/12x12/emblems
%{_iconsdir}/%{realname}/12x12/filesystems
%{_iconsdir}/%{realname}/12x12/mimetypes
%{_iconsdir}/%{realname}/16x16/apps
%{_iconsdir}/%{realname}/16x16/devices
%{_iconsdir}/%{realname}/16x16/filesystems
%{_iconsdir}/%{realname}/16x16/gtk
%{_iconsdir}/%{realname}/16x16/mimetypes
%{_iconsdir}/%{realname}/16x16/stock
%{_iconsdir}/%{realname}/20x20/apps
%{_iconsdir}/%{realname}/20x20/devices
%{_iconsdir}/%{realname}/20x20/emblems
%{_iconsdir}/%{realname}/20x20/filesystems
%{_iconsdir}/%{realname}/20x20/gtk
%{_iconsdir}/%{realname}/20x20/mimetypes
%{_iconsdir}/%{realname}/20x20/stock
%{_iconsdir}/%{realname}/24x24/apps
%{_iconsdir}/%{realname}/24x24/devices
%{_iconsdir}/%{realname}/24x24/emblems
%{_iconsdir}/%{realname}/24x24/filesystems
%{_iconsdir}/%{realname}/24x24/gtk
%{_iconsdir}/%{realname}/24x24/mimetypes
%{_iconsdir}/%{realname}/24x24/stock
%{_iconsdir}/%{realname}/32x32/apps
%{_iconsdir}/%{realname}/32x32/emblems
%{_iconsdir}/%{realname}/32x32/filesystems
%{_iconsdir}/%{realname}/32x32/gtk
%{_iconsdir}/%{realname}/32x32/stock
%{_iconsdir}/%{realname}/36x36/apps
%{_iconsdir}/%{realname}/36x36/devices
%{_iconsdir}/%{realname}/36x36/emblems
%{_iconsdir}/%{realname}/36x36/filesystems
%{_iconsdir}/%{realname}/36x36/mimetypes
%{_iconsdir}/%{realname}/36x36/stock
%{_iconsdir}/%{realname}/48x48/apps
%{_iconsdir}/%{realname}/48x48/devices
%{_iconsdir}/%{realname}/48x48/emblems
%{_iconsdir}/%{realname}/48x48/filesystems
%{_iconsdir}/%{realname}/48x48/gtk
%{_iconsdir}/%{realname}/48x48/mimetypes
%{_iconsdir}/%{realname}/48x48/stock
%{_iconsdir}/%{realname}/72x72/apps
%{_iconsdir}/%{realname}/72x72/filesystems
%{_iconsdir}/%{realname}/72x72/gtk
%{_iconsdir}/%{realname}/scalable

%{_iconsdir}/%{realname}/icon-theme.cache
%{_iconsdir}/%{realname}/index.theme

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-icons-graphite.spec,v $
Revision 1.6  2005/12/16 21:45:02  freetz
- 2.0, switched to dropin (author provides only thiny set of icons as an
  extension to gperfection2) to avoid build mess, removed gnome-inherits
  patch (added to tarball)

Revision 1.5  2005/10/30 19:32:23  paladine
- added inherits_gnome patch, rel. 3

Revision 1.4  2005/10/20 12:47:10  freetz
- make use of gtk-update-icon-cache, rel.2

Revision 1.3  2005/08/24 22:50:16  paladine
- updated to 1.2

Revision 1.2  2005/07/28 12:41:30  freetz
- URL fix

Revision 1.1  2005/07/28 12:35:45  freetz
- initial

